SequenceFileInputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class SequenceFileInputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<K,V>

Direct Known Subclasses:
  SequenceFileAsBinaryInputFormat, SequenceFileAsTextInputFormat, SequenceFileInputFilter

    public class SequenceFileInputFormat<K,V>

extends FileInputFormat<K,V>

An `InputFormat` for `SequenceFile`s.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`FileInputFormat.Counter`

Constructor Summary
`SequenceFileInputFormat()`

Method Summary
`RecordReader<K,V>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` Create a record reader for a given split.
`protected long` | `getFormatMinSplitSize()` Get the lower bound on split size imposed by the format.
`protected List<FileStatus>` | `listStatus(JobContext job)` List input directories.

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileInputFormat

    public SequenceFileInputFormat()

Method Detail

### createRecordReader

    public RecordReader<K,V> createRecordReader(InputSplit split,
                                                TaskAttemptContext context)
                                         throws IOException

  Description copied from class: `InputFormat`
  Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.

  Specified by:
    `createRecordReader` in class `InputFormat<K,V>`
  Parameters:
    `split` - the split to be read
    `context` - the information about the task
  Returns:
    a new record reader
  Throws:
    `IOException`

### getFormatMinSplitSize

    protected long getFormatMinSplitSize()

  Description copied from class: `FileInputFormat`
  Get the lower bound on split size imposed by the format.

  Overrides:
    `getFormatMinSplitSize` in class `FileInputFormat<K,V>`
  Returns:
    the number of bytes of the minimal split for this format

### listStatus

    protected List<FileStatus> listStatus(JobContext job)
                                   throws IOException

  Description copied from class: `FileInputFormat`
  List input directories. Subclasses may override to, e.g., select only files matching a regular expression.

  Overrides:
    `listStatus` in class `FileInputFormat<K,V>`
  Parameters:
    `job` - the job to list input paths for
  Returns:
    array of FileStatus objects
  Throws:
    `IOException` - if zero items.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation